# GuiOptionBrowser Class Reference

Display a list of menu options. More...

`#include <gui.h>`

Inheritance diagram for GuiOptionBrowser:

List of all members.

## Public Member Functions
| GuiOptionBrowser (int w, int h, OptionList *l)
| ~GuiOptionBrowser ()
void | SetCol2Position (int x)
int | FindMenuItem (int c, int d)
int | GetClickedOption ()
void | ResetState ()
| Resets the element's state to STATE_DEFAULT.
void | SetFocus (int f)
void | Draw ()
void | Update (GuiTrigger *t)
## Public Attributes
GuiText * | optionVal [PAGESIZE]
## Protected Attributes
int | selectedItem
int | listOffset
OptionList * | options
int | optionIndex [PAGESIZE]
GuiButton * | optionBtn [PAGESIZE]
GuiText * | optionTxt [PAGESIZE]
GuiImage * | optionBg [PAGESIZE]
GuiButton * | arrowUpBtn
GuiButton * | arrowDownBtn
GuiButton * | scrollbarBoxBtn
GuiImage * | bgOptionsImg
GuiImage * | scrollbarImg
GuiImage * | arrowDownImg
GuiImage * | arrowDownOverImg
GuiImage * | arrowUpImg
GuiImage * | arrowUpOverImg
GuiImage * | scrollbarBoxImg
GuiImage * | scrollbarBoxOverImg
GuiImageData * | bgOptions
GuiImageData * | bgOptionsEntry
GuiImageData * | scrollbar
GuiImageData * | arrowDown
GuiImageData * | arrowDownOver
GuiImageData * | arrowUp
GuiImageData * | arrowUpOver
GuiImageData * | scrollbarBox
GuiImageData * | scrollbarBoxOver
GuiSound * | btnSoundOver
GuiSound * | btnSoundClick
GuiTrigger * | trigA

## Detailed Description

Display a list of menu options.

## Constructor & Destructor Documentation

GuiOptionBrowser::GuiOptionBrowser | ( | int | w,
|  | int | h,
|  | OptionList * | l |
| ) |  |  |

Constructor for the GuiOptionBrowser class.

GuiOptionBrowser::~GuiOptionBrowser | ( |  | ) |

Destructor for the GuiOptionBrowser class.

## Member Function Documentation

void GuiOptionBrowser::Draw | ( |  | ) | `[virtual]`

Draw the button on screen

Reimplemented from GuiElement.

void GuiOptionBrowser::SetFocus | ( | int | f | ) | `[virtual]`

Sets the element's focus

Parameters:

  | f | Focus (true = in focus)

Reimplemented from GuiElement.

void GuiOptionBrowser::Update | ( | GuiTrigger * | t | ) | `[virtual]`

Called constantly to allow the element to respond to the current input data

Parameters:

  | t | Pointer to a GuiTrigger, containing the current input data from PAD/WPAD

Reimplemented from GuiElement.

The documentation for this class was generated from the following files:

- gui.h
- gui_optionbrowser.cpp